import 'package:flutter/cupertino.dart';

class EnterpriseBasicInfoState {
  ///公司名称
  TextEditingController controllerCompanyName = TextEditingController();
  FocusNode nodeCompanyName = FocusNode();

  ///统一社会信用代码
  TextEditingController controllerCreditCode = TextEditingController();
  FocusNode nodeCreditCode = FocusNode();

  ///银行对公账号
  TextEditingController controllerBankNum = TextEditingController();
  FocusNode nodeBankNum = FocusNode();

  ///银行名称
  TextEditingController controllerBankName = TextEditingController();
  FocusNode nodeBankName = FocusNode();

  ///公司地址
  TextEditingController controllerCompanyAddress = TextEditingController();

  ///营业执照
  String companyBusinessImg = '';
  FocusNode nodeCompanyAddress = FocusNode();

  String businessStartDate = '';

  String businessEndDate = '';

  int businessLongTermFlag = 0;

  int businessExpiredFlag = 0;

  EnterpriseBasicInfoState() {
    ///Initialize variables
  }

  int radioIndex = 0;
}
